## org.apache.lucene.spatial.tier
Class DistanceFieldComparatorSource

    java.lang.Object
      org.apache.lucene.search.FieldComparatorSource
          org.apache.lucene.spatial.tier.DistanceFieldComparatorSource

All Implemented Interfaces:
  Serializable

Deprecated.

    @Deprecated
    public class DistanceFieldComparatorSource

extends org.apache.lucene.search.FieldComparatorSource

NOTE: This API is still in flux and might change in incompatible ways in the next release.

See Also:
  Serialized Form

Constructor Summary
`DistanceFieldComparatorSource(org.apache.lucene.search.Filter distanceFilter)` Deprecated.

Method Summary
`void` `cleanUp()` Deprecated.
`org.apache.lucene.search.FieldComparator` `newComparator(String fieldname, int numHits, int sortPos, boolean reversed)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistanceFieldComparatorSource

    public DistanceFieldComparatorSource(org.apache.lucene.search.Filter distanceFilter)

  Deprecated.

Method Detail

### cleanUp

    public void cleanUp()

  Deprecated.

### newComparator

    public org.apache.lucene.search.FieldComparator newComparator(String fieldname,
                                                                  int numHits,
                                                                  int sortPos,
                                                                  boolean reversed)
                                                           throws IOException

  Deprecated.
  Specified by:
    `newComparator` in class `org.apache.lucene.search.FieldComparatorSource`
  Throws:
    `IOException`